Acknowledge E-Signature
curl --request POST \
--url https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signatureType": "electronic",
"signature": "John Hancock"
}
'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}"
payload = {
"signatureType": "electronic",
"signature": "John Hancock"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signatureType: 'electronic', signature: 'John Hancock'})
};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signatureType' => 'electronic',
'signature' => 'John Hancock'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}"
payload := strings.NewReader("{\n \"signatureType\": \"electronic\",\n \"signature\": \"John Hancock\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signatureType\": \"electronic\",\n \"signature\": \"John Hancock\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signatureType\": \"electronic\",\n \"signature\": \"John Hancock\"\n}"
response = http.request(request)
puts response.read_bodyCandidate Onboarding
Acknowledge E-Signature
Submits acknowledgement of the e-Signature for tracking and auditing purposes. This action creates a case data record with the provided information. The system records the acknowledgment and generates a PDF file of the e-Signature document, which includes the candidate’s acknowledgment and is available for download.
POST
/
case
/
id
/
{caseId}
/
esig
/
{language}
Acknowledge E-Signature
curl --request POST \
--url https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"signatureType": "electronic",
"signature": "John Hancock"
}
'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}"
payload = {
"signatureType": "electronic",
"signature": "John Hancock"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({signatureType: 'electronic', signature: 'John Hancock'})
};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'signatureType' => 'electronic',
'signature' => 'John Hancock'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}"
payload := strings.NewReader("{\n \"signatureType\": \"electronic\",\n \"signature\": \"John Hancock\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"signatureType\": \"electronic\",\n \"signature\": \"John Hancock\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"signatureType\": \"electronic\",\n \"signature\": \"John Hancock\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The language code (e.g. en-US)
The ID of the case.
Body
application/json
Available options:
electronic, manual For candidates who onboarded using KarmaCheck's onboarding experience, the value that the candidate entered into the signature input field on the legal step. This might not be exactly the same as the name that the case was ordered under.
Response
OK